Bug 49629 - (SOUND MPU401)Roland MPU 401 card not working with playmidi, etc.
(SOUND MPU401)Roland MPU 401 card not working with playmidi, etc.
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i586 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Depends On:
  Show dependency treegraph
Reported: 2001-07-21 17:41 EDT by Need Real Name
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:39:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-07-21 17:41:42 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.3-12 i586)

Description of problem:
I have a genuine Roland MPU 401 external midi card (the old ISA one).  It
has been working fine on previous versions of RedHat Linux.  With RedHat
7.1, the card seems to work properly if I just cat /dev/sequencer  >file
and cat file >/dev/sequencer, but any other software doesn't work.

How reproducible:

Steps to Reproduce:
1.  playmidi -e anymidifile.mid

Actual Results:  Usually playmidi just hangs, but sometimes I get random
sounds out of the external midi keyboard.

Expected Results:  Proper playback of the midi file.

Additional info:

I have similar problems with the jazz sequencer software (not included with
RedHat Linux), and other midi software that I have written.

sndconfig does not recognize the card, it uses my sound card as a midi
device.  I manually changed /etc/modules.conf to my original settings for
the mpu401:

alias synth0 mpu401
options -k mpu401 io=0x330 irq=7
Comment 1 Need Real Name 2001-07-31 02:09:34 EDT
Is this bug being investigated?
Comment 2 Bill Nottingham 2001-07-31 02:13:44 EDT
We don't have the hardware in question.
Comment 3 Bill Nottingham 2001-07-31 02:14:28 EDT
Is it a PnP card in any manner - does it show up in /proc/isapnp?
Comment 4 Need Real Name 2001-07-31 02:23:09 EDT
The card is not PnP.  It is quite old, but it is the basis of the external midi
interface standard used by many other cards.  Do you have any external midi
hardware to test with?
Comment 5 Need Real Name 2001-11-26 21:49:18 EST
I found that this is not a bug in the mpu401 driver.  It is a conflict between
the sb driver and the mpu401 driver.   If I remove all sound related kernel
modules and then insmod mpu401, it works fine.  I can't seem to get my
modules.conf to handle this properly.  If I manually insmod mpu401 before any
other sound modules are loaded, then everything works fine.  Apparently the sb
driver is preventing any other driver from servicing sound-service-0-3 even if
uart401 is disabled.
Comment 6 Bill Nottingham 2001-11-28 01:25:42 EST
vacto: in answer to your previous question, no, we don't have external midi HW.

Since it appears to be a driver issue, assigning to the kernel.
Comment 7 Need Real Name 2003-06-11 22:26:12 EDT
I no longer have the MPU 401, so this bug is moot.
Comment 8 Bugzilla owner 2004-09-30 11:39:05 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.